package com.diagbot.dto;

import com.diagbot.enums.AccessTypeEnum;
import com.diagbot.enums.ChargeTypeEnum;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 用户更多服务出参类
 * @author: wangyu
 * @time: 2018/9/29 15:10
 */
@Getter
@Setter
public class ProductLineDTO {
    /**
     * 产品id
     */
    private Long id;
    /**
     * 产品名称
     */
    private String name;
    /**
     * 产品介绍
     */
    private String decription;

    /**
     * 计费方式
     */
    private String chargeType;
    /**
     * 接入方式（1：嵌入式，2：接口方式，3：online）
     */
    private String accessType;

    /**
     * list格式返回给前台
     * @return
     */
    public String[] getAccessType() {
        String[] strs =accessType.split(",");
        List<String> list =new ArrayList();
        for (int i =0;i<strs.length;i++){
            list.add(AccessTypeEnum.getName(Integer.valueOf(strs[i])));
        }
        String[] strs1 =new String[list.size()];
        return list.toArray(strs1);
    }

    /**
     * Map格式返回给前台
     * @return
     */
    /*public Map getAccessType(){
        Map map = new HashMap();
        String[] strs =accessType.split(",");
        List<String> list =new ArrayList();
        for (int i =0;i<strs.length;i++){
            if(Integer.parseInt(strs[i])== AccessTypeEnum.Online.getKey()){
                map.put(AccessTypeEnum.Online.getKey(),AccessTypeEnum.Online.getName());
            }
            if(Integer.parseInt(strs[i])==AccessTypeEnum.InterfaceType.getKey()){
                map.put(AccessTypeEnum.InterfaceType.getKey(),AccessTypeEnum.InterfaceType.getName());
            }
            if(Integer.parseInt(strs[i])==AccessTypeEnum.Embedded.getKey()){
                map.put(AccessTypeEnum.Embedded.getKey(),AccessTypeEnum.Embedded.getName());
            }
        }
        return map;
    }*/

    public void setAccessType(String accessType) {
        this.accessType = accessType;
    }

    /**
     * list格式返回给前台
     * @return
     */
    public String[] getChargeType() {
        String[] strs =chargeType.split(",");
        List<String> list =new ArrayList();
        for (int i =0;i<strs.length;i++){
            if(Integer.parseInt(strs[i]) == ChargeTypeEnum.ByFlow.getKey()){
                list.add(ChargeTypeEnum.ByFlow.getName());
            }
            if(Integer.parseInt(strs[i]) == ChargeTypeEnum.ByOrginations.getKey()){
                list.add(ChargeTypeEnum.ByOrginations.getName());
            }
            if(Integer.parseInt(strs[i]) == ChargeTypeEnum.ByUser.getKey()){
                list.add(ChargeTypeEnum.ByUser.getName());
            }
        }
        String[] strs1 =new String[list.size()];
        return list.toArray(strs1);
    }

    /**
     * Map格式返回给前台
     * @return
     */
    /*public Map getChargeType(){
        Map map = new HashMap();
        String[] strs =chargeType.split(",");
        for (int i =0;i<strs.length;i++){
            if(Integer.parseInt(strs[i]) == ChargeTypeEnum.ByFlow.getKey()){
                map.put(ChargeTypeEnum.ByFlow.getKey(),ChargeTypeEnum.ByFlow.getName());
            }
            if(Integer.parseInt(strs[i]) == ChargeTypeEnum.ByOrginations.getKey()){
                map.put(ChargeTypeEnum.ByOrginations.getKey(),ChargeTypeEnum.ByOrginations.getName());
            }
            if(Integer.parseInt(strs[i]) == ChargeTypeEnum.ByUser.getKey()){
                map.put(ChargeTypeEnum.ByUser.getKey(),ChargeTypeEnum.ByUser.getName());
            }
        }
        return map;
    }*/

    public void setChargeType(String chargeType) {
        this.chargeType = chargeType;
    }
}
